summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2011-08-27 23:16:24 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-08-27 23:16:24 -0300
commit24268abf529acb012c41ae46a32913ee22d98244 (patch)
tree5d6a684628434285ac4f70673f54e98c2fee3acb /academic
parentaa976ef808754d5dabd90807a9fefa27264418ee (diff)
downloadslackbuilds-24268abf529acb012c41ae46a32913ee22d98244.tar.gz
slackbuilds-24268abf529acb012c41ae46a32913ee22d98244.tar.xz
academic/pianobooster: Added (educational music software)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/pianobooster/README7
-rw-r--r--academic/pianobooster/doinst.sh3
-rw-r--r--academic/pianobooster/pianobooster.SlackBuild81
-rw-r--r--academic/pianobooster/pianobooster.desktop10
-rw-r--r--academic/pianobooster/pianobooster.info10
-rw-r--r--academic/pianobooster/slack-desc19
6 files changed, 130 insertions, 0 deletions
diff --git a/academic/pianobooster/README b/academic/pianobooster/README
new file mode 100644
index 0000000000..bbc0a15b05
--- /dev/null
+++ b/academic/pianobooster/README
@@ -0,0 +1,7 @@
+pianobooster (educational music software)
+
+PianoBooster is a fun way of playing along with a musical accompaniment
+and at the same time learning the basics of reading musical notation. The
+difference between playing along to a CD or a standard midi file is
+that PianoBooster listens and follows what you are playing on a midi
+piano keyboard.
diff --git a/academic/pianobooster/doinst.sh b/academic/pianobooster/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/pianobooster/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/pianobooster/pianobooster.SlackBuild b/academic/pianobooster/pianobooster.SlackBuild
new file mode 100644
index 0000000000..d8af17f95f
--- /dev/null
+++ b/academic/pianobooster/pianobooster.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for pianobooster
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=pianobooster
+VERSION=${VERSION:-0.6.4b}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-src-$VERSION
+tar xvf $CWD/$PRGNAM-src-$VERSION.tar.gz
+cd $PRGNAM-src-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ../src
+ make VERBOSE=1
+ make install/strip DESTDIR=$PKG
+cd ..
+
+# Make the .desktop file validate.
+sed -i 's/Education;/&AudioVideo;/' $PKG/usr/share/applications/$PRGNAM.desktop
+
+# Don't need (will install docs manually below).
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.txt gplv3.txt license.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/pianobooster/pianobooster.desktop b/academic/pianobooster/pianobooster.desktop
new file mode 100644
index 0000000000..8cb595fd1b
--- /dev/null
+++ b/academic/pianobooster/pianobooster.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Piano Booster
+Comment=A MIDI file player that teaches you how to play the piano
+GenericName=Piano Teacher
+Exec=pianobooster
+Icon=pianobooster
+Terminal=false
+Type=Application
+Categories=Music;Education;
+MimeType=audio/midi;
diff --git a/academic/pianobooster/pianobooster.info b/academic/pianobooster/pianobooster.info
new file mode 100644
index 0000000000..ca9417a86b
--- /dev/null
+++ b/academic/pianobooster/pianobooster.info
@@ -0,0 +1,10 @@
+PRGNAM="pianobooster"
+VERSION="0.6.4b"
+HOMEPAGE="http://pianobooster.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/pianobooster/pianobooster-src-0.6.4b.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="4c1c34a4b763e6108aa9668be7890696"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Niels Horn"
diff --git a/academic/pianobooster/slack-desc b/academic/pianobooster/slack-desc
new file mode 100644
index 0000000000..c7f92ecb12
--- /dev/null
+++ b/academic/pianobooster/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pianobooster: pianobooster (educational music software)
+pianobooster:
+pianobooster: PianoBooster is a fun way of playing along with a musical
+pianobooster: accompaniment and at the same time learning the basics of reading
+pianobooster: musical notation. The difference between playing along to a CD or a
+pianobooster: standard midi file is that PianoBooster listens and follows what you
+pianobooster: are playing on a midi piano keyboard.
+pianobooster:
+pianobooster:
+pianobooster:
+pianobooster: